/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

.nv-badge {

  --nv-badge-type: #{$type-primary-light};

  background-color: var(--nv-theme-primary);
  border-radius: 8px;
  color: var(--nv-badge-type);
  display: inline-block;
  font-size: $badge-font-size;
  padding: $space-sm;
  text-align: center;
  vertical-align: baseline;
  white-space: nowrap;
  z-index: 1;

  span {
    color: var(--nv-badge-type);
  }

  &.nv-badge-pill {
    border-radius: $badge-pill-border-radius;
    padding: $space-sm;
  }

  &.nv-badge-circle {
    background-color: transparent !important;
    line-height: 24px;
    min-width: 25px;
    padding: 0 0.2rem;
    position: relative;

    &::before {
      background-color: var(--nv-theme-primary);
      border-radius: 50%;
      content: ' ';
      display: block;
      height: 0;
      left: 50%;
      padding-bottom: 90%;
      position: absolute;
      top: 50%;
      transform: translate(-50%, -50%);
      width: 90%;
      z-index: -1;
    }
  }
}
